<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="css/menu.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap">
    <link rel="icon" href="imagen/logo-negro.png" type="image/x-icon">
    <title>Tu Sitio Web</title>

</head>

<body>
    
    <nav class="barra-superior">
        <img src="imagen/ubicacion.png" alt="ubi">
        <p>Mazatlán, Sinaloa</p>
    </nav>

    <nav class="barra-inferior">
        <a href="index.php" class="logo">
            <img src="imagen/logo-negro.png" alt="Logo">
        </a>
        <nav class="main-nav">
            <ul>
                <li><a href="index.php">Inicio</a></li>
                <li><a href="catalogo.php">Catálogo</a></li>
                <li><a href="contacto.php">Contacto</a></li>
            </ul>
        </nav>
        <div class="search-box">
        <form action="catalogo.php" method="get" id="searchForm">
            <input type="text" placeholder="Buscar en el catálogo" name="modelo">
            <button type="submit"><img src="imagen/lupa.png" alt="Buscar"></button>
        </form>
            <?php
            // Verificar si el usuario ha iniciado sesión
            session_start();

            if (isset($_SESSION['usuario'])) {
                // El usuario ha iniciado sesión
                echo '<a href="cerrar-sesion.php" style="text-decoration: none; color: black">Cerrar Sesión</a>';
            } else {
                // El usuario no ha iniciado sesión
                echo '<a href="inicio-sesion.php"><img src="imagen/inicio-sesion.png"></a>';
            }
            ?>
        </div>
    </nav>

    <footer>
        <div class="footer-container">
            <img src="imagen/marcas.png" alt="Imagen en el footer">
            <p>&copy; 2023 Moran Ortega.</p>
        </div>
    </footer>

</body>
</html>
