<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="css/iniciosesion.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap">
    <link rel="icon" href="imagen/logo-negro.png" type="image/x-icon">
    <title>Tu Sitio Web</title>
</head>

<body>
    
    <nav class="barra-superior">
        <img src="imagen/ubicacion.png" alt="ubi">
        <p>Mazatlán, Sinaloa</p>
    </nav>

    <nav class="barra-inferior">
        <a href="index.php" class="logo">
            <img src="imagen/logo-negro.png" alt="Logo">
        </a>
        <nav class="main-nav">
            <ul>
                <li><a href="index.php">Inicio</a></li>
                <li><a href="catalogo.php">Catálogo</a></li>
                <li><a href="contacto.php">Contacto</a></li>
            </ul>
        </nav>
        <div class="search-box">
            <form action="catalogo.php" method="get" id="searchForm">
                <input type="text" placeholder="Buscar en el catálogo" name="modelo">
                <button type="submit"><img src="imagen/lupa.png" alt="Buscar"></button>
            </form>
            <a href="inicio-sesion.php"><img src="imagen/inicio-sesion.png" alt="Inicio sesion"></a>
        </div>
    </nav>

    <?php
// Inicia la sesión
session_start();

// Conecta a la base de datos
$conexion = new mysqli("localhost", "root", "", "ser");
if ($conexion->connect_error) {
    die("Error de conexión: " . $conexion->connect_error);
}

// Mensaje de error por defecto
$errorMensaje = "";

// Maneja el formulario de registro aquí
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Obtén las credenciales del formulario
    $email = $_POST["email"];
    $password = $_POST["password"];

    // Verifica si el correo ya está registrado
    $consultaExistencia = "SELECT * FROM usuarios WHERE correo = '$email'";
    $resultadoExistencia = $conexion->query($consultaExistencia);

    if ($resultadoExistencia->num_rows > 0) {
        // El correo ya está registrado
        $errorMensaje = "El correo ya está registrado. Inténtelo con otro correo.";
    } else {
        $consultaRegistro = "INSERT INTO usuarios (correo, contrasena, permisos) VALUES ('$email', '$password', 0)";
        if ($conexion->query($consultaRegistro) === TRUE) {
            $_SESSION['usuario']=$email;
            header("Location: index.php");
            exit();
        } else {
            $errorMensaje = "Error en el registro. Inténtelo de nuevo.";
        }
    }
}
// Cierra la conexión a la base de datos
$conexion->close();
?>

    <div class="contenido">
        <div class="login-form">
            <h2>Registrarse</h2>
            <?php
            if (!empty($errorMensaje)) {
                echo '<p style="color: red; text-align: center; width: 100%;">' . $errorMensaje . '</p>';
            }
            ?>
            <form action="" method="post">
                <label for="email">Introduzca la dirección de correo electrónico:</label>
                <input type="email" id="email" name="email" required>

                <label for="password">Introduzca la contraseña:</label>
                <input type="password" id="password" name="password" required>

                <button type="submit">Siguiente</button>
            </form>
        </div>
    </div>

    <footer>
        <div class="footer-container">
            <img src="imagen/marcas.png" alt="Imagen en el footer">
            <p>&copy; 2023 Moran Ortega.</p>
        </div>
    </footer>

</body>
</html>
