<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="css/iniciosesion.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap">
    <link rel="icon" href="imagen/logo-negro.png" type="image/x-icon">
    <title>Tu Sitio Web</title>
</head>

<body>
    
    <nav class="barra-superior">
        <img src="imagen/ubicacion.png" alt="ubi">
        <p>Mazatlán, Sinaloa</p>
    </nav>

    <nav class="barra-inferior">
        <a href="index.php" class="logo">
            <img src="imagen/logo-negro.png" alt="Logo">
        </a>
        <nav class="main-nav">
            <ul>
                <li><a href="index.php">Inicio</a></li>
                <li><a href="catalogo.php">Catálogo</a></li>
                <li><a href="contacto.php">Contacto</a></li>
            </ul>
        </nav>
        <div class="search-box">
        <form action="catalogo.php" method="get" id="searchForm">
            <input type="text" placeholder="Buscar en el catálogo" name="modelo">
            <button type="submit"><img src="imagen/lupa.png" alt="Buscar"></button>
        </form>
            <a href="inicio-sesion.php"><img src="imagen/inicio-sesion.png" alt="Inicio sesion"></a>
        </div>
    </nav>

    <div class="contenido">
        <!-- ... tu código existente ... -->

        <!-- Nuevo formulario de inicio de sesión con código PHP -->
        <div class="login-form">
            <h2>Iniciar Sesión</h2>
            <?php
            session_start();
            $conexion = new mysqli("localhost", "root", "");
            mysqli_select_db($conexion,"ser");
            if($conexion->connect_error) {
                die("Error de conexion". $conexion->connect_error);
            }
            // Manejar el formulario de inicio de sesión aquí
            if ($_SERVER["REQUEST_METHOD"] == "POST") {
                // Obtén las credenciales del formulario
                $email = $_POST["email"];
                $password = $_POST["password"];

                $consulta = "SELECT contrasena FROM usuarios WHERE correo = '$email'";
                $resultado = $conexion->query($consulta);

                // Verificar si las credenciales son válidas
                if ($resultado->num_rows > 0) {
                    $_SESSION['usuario'] = $email;
                    //header("Location: index.php");
                    $fila = $resultado->fetch_assoc();
                    $contrasenaAlmacenada = $fila["contrasena"];
                    if ($password = $contrasenaAlmacenada) {
                        // Contraseña válida, inicia sesión y redirige al usuario
                        $_SESSION['usuario'] = $email;
                        header("Location: index.php");
                        exit();
                    }
                } else {
                    header("Location: inicio-sesion.php?error=credenciales_invalidas");
                }
            }
            if (isset($_GET['error']) && $_GET['error'] === 'credenciales_invalidas') {
                echo '<p style="color: red; text-align: center;
                width: 100%;">Credenciales no válidas. Inténtelo de nuevo.</p>';
            }
            $conexion->close();
            ?>

            <form action="" method="post">
                <label for="email">Introduzca la dirección de correo electrónico:</label>
                <input type="email" id="email" name="email" required>

                <label for="password">Introduzca la contraseña:</label>
                <input type="password" id="password" name="password" required>

                <button type="submit">Siguiente</button>
            </form>

            <p>¿Aún no tiene una cuenta? <a href="registro.php">Registrarse</a></p>
        </div>
    </div>

    <footer>
        <div class="footer-container">
            <img src="imagen/marcas.png" alt="Imagen en el footer">
            <p>&copy; 2023 Moran Ortega.</p>
        </div>
    </footer>

</body>
</html>
